<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $private_comments = INTVAL(POST('private_comments'));
  $dir_id = INTVAL(POST('dir_id'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 100){
    
    ERROR('Имя не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 1000){
    
    ERROR('Описание не может быть больше 1000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($video['NAME'] != $name && DB::GET_COLUMN("SELECT COUNT(*) FROM `VIDEOS` WHERE `USER_ID` = '".$account['ID']."' AND `NAME` = '".$name."' AND `ID_DIR` = '".$id_dir."' LIMIT 1") == 1){
    
    ERROR('Видео с таким названием уже существует в этом альбоме', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=videos&section=show&video_id='.$video['ID'].'&get=video_edit');
    
  }
  
  $name2 = TEXT_PROCESSING(POST('name'));
  
  DB::GET_SET("UPDATE `VIDEOS` SET `ID_DIR` = '".$dir_id."', `PRIVATE_COMMENTS` = '".$private_comments."', `NAME` = '".$name2."', `MESSAGE` = '".$message."' WHERE `ID` = '".$video['ID']."' LIMIT 1");
  
  IF (ACCESS('videos_edit', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Видео - редактирование видео '.$account['LOGIN'].'', $user['ID']);
    
  }
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=videos&section=show&video_id='.$video['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=videos&section=show&video_id=".$video['ID']."&get=video_edit'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($video['NAME']));

ECHO "<b>".LG('Введите описание')."</b> (".LG('до 1000 символов')."):<br />";
HTML::TEXTAREA(TEXT_ABSOLUTE($video['MESSAGE']), 'message', 'Описание');

ECHO "<br /><b>".LG('Альбом')."</b>:<br />";

$data = DB::GET_STRING_ALL("SELECT `ID`,`NAME` FROM `VIDEOS_DIR` WHERE `USER_ID` = '".$account['ID']."' ORDER BY `ID` DESC");

ECHO "<select name='dir_id' class='form-control-select'>";

ECHO "<option value='0' ".($video['ID_DIR'] == 0?' selected="selected"':NULL)."> ".LG('Без альбома')."</option>";

WHILE ($list = $data->FETCH())
{
  
  ECHO "<option value='".$list['ID']."' ".($video['ID_DIR'] == $list['ID']?' selected="selected"':NULL)."> ".TEXT_ABSOLUTE($list['NAME'])."</option>";
  
}

ECHO "</select><br />";

ECHO "<br /><b>".LG('Комментирование')."</b>:<br />";
ECHO "<select name='private_comments' class='form-control-select'>";

ECHO "<option value='0' ".($video['PRIVATE_СOMMENTS'] == 0?' selected="selected"':NULL)."> ".LG('Всем')."</option>";
ECHO "<option value='1' ".($video['PRIVATE_COMMENTS'] == 1?' selected="selected"':NULL)."> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2' ".($video['PRIVATE_COMMENTS'] == 2?' selected="selected"':NULL)."> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=videos&section=show&video_id=".$video['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>